# Decrypt

Decrypts data encrypted by the [Encrypt function](/reference/plugins/overview/content/encrypt.md).

## Properties

### Data

The data to decrypt. Can be either a base64-encoded string or a list of bytes.

### Output type

Select either *String* (default) or *Binary*.

Return decrypted data as text or binary.

### Output encoding

This property will appear only when *String* is selected for the Input type property.

Select which character encoding must be used when converting the decrypted data to text.

Options include:

* *Default*
* *ANSI*
* *ASCII*
* *EBCDIC*
* *Mac*
* *OEM*
* *Unicode*
* *UTF7*
* *UTF8*

### Algorithm

The encryption/decryption algorithm to use.

Options:

* *AES* (default) - [learn more](http://en.wikipedia.org/wiki/Advanced_Encryption_Standard)
* *Triple DES* - [learn more](http://en.wikipedia.org/wiki/RSA_\(cryptosystem\))
* *RSA* - [learn more](https://en.wikipedia.org/wiki/Triple_DES)

***

### Symmetric Key

The following properties are relevant when you select *AES* or *Triple DES* as the algorithm:

#### Use passphrase

Allows the encryption key and initialization vector (IV) to be specified manually or generated from a passphrase and salt.

#### Passphrase

Only shown if "Use passphrase" property is checked.

The passphrase that was used to generate the key.

#### Passphrase salt

Only shown if "Use passphrase" property is checked.

The optional passphrase salt that was added as part of the encryption.

#### IV

Only shown if "Use passphrase" property is unchecked.

Encryption initialization vector. [learn more](https://www.techtarget.com/whatis/definition/initialization-vector-IV)

***

### RSA Key

The following properties are relevant when you select **RSA** as the algorithm:

#### Load key from file

Allows the RSA key to be specified manually or loaded from a certificate file.

#### Certificate file path

Only visible if "Load key from file" is checked.

Path to the certificate file containing RSA key.

#### Certificate password

Only visible if "Load key from file" is checked.

The password protecting the certificate file.

#### Public exponent

Only visible if "Load key from file" is unchecked.

The public exponent function of the RSA public key.

#### Private exponent

Only visible if "Load key from file" is unchecked.

The private exponent function of the RSA private key.

#### Private P

Only visible if "Load key from file" is unchecked.

The private P function of the RSA private key.

#### Private Q

Only visible if "Load key from file" is unchecked.

The private Q function of the RSA private key.

## Links

* [AES encryption algorithm](http://en.wikipedia.org/wiki/Advanced_Encryption_Standard)
* [RSA encryption algorithm](http://en.wikipedia.org/wiki/RSA_\(cryptosystem\))
* [Triple DES encryption algorithm](https://en.wikipedia.org/wiki/Triple_DES)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/overview/content/decrypt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
